Berkeley DB version 6.0.30

## com.sleepycat.util
Class ConfigBeanInfoBase

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.sleepycat.util.ConfigBeanInfoBase

All Implemented Interfaces:
  BeanInfo

Direct Known Subclasses:
  EvolveConfigBeanInfo, StoreConfigBeanInfo

    public class ConfigBeanInfoBase

extends SimpleBeanInfo

Field Summary
`protected static ArrayList<String>` `getterAndSetterMethods`
`protected static ArrayList<String>` `ignoreMethods`
`protected static ArrayList<String>` `propertiesName`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ConfigBeanInfoBase()`

Method Summary
`protected static BeanDescriptor` `getBdescriptor(Class cls)`
`BeanDescriptor` `getBeanDescriptor(Class cls)` Gets the bean's `BeanDescriptor`s.
`int` `getDefaultEventIndex()` A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.
`int` `getDefaultPropertyIndex()` A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.
`EventSetDescriptor[]` `getEventSetDescriptors()` Gets the bean's `EventSetDescriptor`s.
`Image` `getIcon(int iconKind)` This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.
`protected static PropertyDescriptor[]` `getPdescriptor(Class cls)`
`protected static void` `getPropertiesInfo(Class cls)`
`PropertyDescriptor[]` `getPropertyDescriptors(Class cls)` Gets the bean's `PropertyDescriptor`s.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertiesName

    protected static ArrayList<String> propertiesName

### getterAndSetterMethods

    protected static ArrayList<String> getterAndSetterMethods

### ignoreMethods

    protected static ArrayList<String> ignoreMethods

Constructor Detail

### ConfigBeanInfoBase

    public ConfigBeanInfoBase()

Method Detail

### getPropertiesInfo

    protected static void getPropertiesInfo(Class cls)

### getPdescriptor

    protected static PropertyDescriptor[] getPdescriptor(Class cls)

### getBdescriptor

    protected static BeanDescriptor getBdescriptor(Class cls)

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor(Class cls)

  Gets the bean's `BeanDescriptor`s.

  Returns:
    BeanDescriptor describing the editable properties of this bean. May return null if the information should be obtained by automatic analysis.

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors(Class cls)

  Gets the bean's `PropertyDescriptor`s.

  Returns:
    An array of PropertyDescriptors describing the editable properties supported by this bean. May return null if the information should be obtained by automatic analysis.

    If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

  Gets the bean's `EventSetDescriptor`s.

  Specified by:
    `getEventSetDescriptors` in interface `BeanInfo`
  Overrides:
    `getEventSetDescriptors` in class `SimpleBeanInfo`
  Returns:
    An array of EventSetDescriptors describing the kinds of events fired by this bean. May return null if the information should be obtained by automatic analysis.

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.

  Specified by:
    `getDefaultPropertyIndex` in interface `BeanInfo`
  Overrides:
    `getDefaultPropertyIndex` in class `SimpleBeanInfo`
  Returns:
    Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

    Returns -1 if there is no default property.

### getDefaultEventIndex

    public int getDefaultEventIndex()

  A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.

  Specified by:
    `getDefaultEventIndex` in interface `BeanInfo`
  Overrides:
    `getDefaultEventIndex` in class `SimpleBeanInfo`
  Returns:
    Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

    Returns -1 if there is no default event.

### getIcon

    public Image getIcon(int iconKind)

  This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc. Icon images will typically be GIFs, but may in future include other formats.

  Beans aren't required to provide icons and may return null from this method.

  There are four possible flavors of icons (16x16 color, 32x32 color, 16x16 mono, 32x32 mono). If a bean choses to only support a single icon we recommend supporting 16x16 color.

  We recommend that icons have a "transparent" background so they can be rendered onto an existing background.

  Specified by:
    `getIcon` in interface `BeanInfo`
  Overrides:
    `getIcon` in class `SimpleBeanInfo`
  Parameters:
    `iconKind` - The kind of icon requested. This should be one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.
  Returns:
    An image object representing the requested icon. May return null if no suitable icon is available.

Berkeley DB version 6.0.30

Copyright (c) 1996, 2014 Oracle and/or its affiliates. All rights reserved.